Bug 672549 - Start and shutdown domain lead to memory leak
Summary: Start and shutdown domain lead to memory leak
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Daniel Veillard
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 656795
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-25 15:16 UTC by RHEL Program Management
Modified: 2013-01-11 03:45 UTC (History)
19 users (show)

Fixed In Version: libvirt-0.8.1-27.el6_0.3
Doc Type: Bug Fix
Doc Text:
Starting and shutting down a domain led to a memory leak due to the memory buffer not being freed properly. With this update, starting and shutting down a domain no longer leads to a memory leak.
Clone Of:
Environment:
Last Closed: 2011-04-14 16:18:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
leak memory check script (249 bytes, text/plain)
2011-01-28 05:36 UTC, Cui Chun
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0446 normal SHIPPED_LIVE libvirt bug fix update 2011-04-14 16:18:21 UTC

Description RHEL Program Management 2011-01-25 15:16:20 UTC
This bug has been copied from bug #656795 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 3 Daniel Veillard 2011-01-27 05:44:25 UTC
should be fixed in build libvirt-0.8.1-27.el6_0.3,

Daniel

Comment 4 Cui Chun 2011-01-27 09:50:58 UTC
Verified. Do not found issue so far.

Please confirm if the "LEAK SUMMARY" is acceptable. I will continue to run the
script and try to finish more cycles.

Test environment:
libvirt: libvirt-0.8.1-27.el6_0.3
kernel: kernel-2.6.32-71.16.1.el6
qemu-kvm: qemu-kvm-0.12.1.2-2.113.el6_0.6

Steps:
1. install a domain named "rhel6-clone"
2. disable selinux:
# setenforce 0
3. run "libvirtd_memory_check.sh" attachment script 
4. check the "libvirtd_memory_check.sh.log" after running 400 cycles, do not
found leak again.

-------------------
==4191== LEAK SUMMARY:
==4191==    definitely lost: 0 bytes in 0 blocks
==4191==    indirectly lost: 0 bytes in 0 blocks
==4191==      possibly lost: 349 bytes in 18 blocks
==4191==    still reachable: 1,840 bytes in 39 blocks
==4191==         suppressed: 0 bytes in 0 blocks
==4191== Rerun with --leak-check=full to see details of leaked memory
==4191== 
==4191== For counts of detected and suppressed errors, rerun with: -v
==4191== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 6 from 6)

Comment 6 Cui Chun 2011-01-28 05:30:57 UTC
More than  3000 cycles have been done, did not find any memory leak so far. The scription will continue to run.  

-------------

==4191== HEAP SUMMARY:
==4191==     in use at exit: 2,189 bytes in 57 blocks
==4191==   total heap usage: 93 allocs, 36 frees, 108,711 bytes allocated
==4191==
==4191== LEAK SUMMARY:
==4191==    definitely lost: 0 bytes in 0 blocks
==4191==    indirectly lost: 0 bytes in 0 blocks
==4191==      possibly lost: 349 bytes in 18 blocks
==4191==    still reachable: 1,840 bytes in 39 blocks
==4191==         suppressed: 0 bytes in 0 blocks
==4191== Rerun with --leak-check=full to see details of leaked memory
==4191==
==4191== For counts of detected and suppressed errors, rerun with: -v
==4191== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 6 from 6)

Comment 7 Cui Chun 2011-01-28 05:36:12 UTC
Created attachment 475727 [details]
leak memory check script

Comment 8 Cui Chun 2011-01-31 09:17:21 UTC
More than 6000 cycles have been done and no memory leak so far. 
The script will be continue to run.

Comment 9 Cui Chun 2011-02-09 05:47:17 UTC
About 22530 cycles have been done and no memory leak still. The script will continue to be run till 36000 cycles.

Comment 10 Cui Chun 2011-02-14 02:28:21 UTC
36000 cycles have been finished according to "leak memory check script" of attachment. No memory leak can be found again.

Comment 11 errata-xmlrpc 2011-04-14 16:18:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0446.html

Comment 12 Martin Prpič 2011-04-15 14:24:10 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Starting and shutting down a domain led to a memory leak due to the memory buffer not being freed properly. With this update, starting and shutting down a domain no longer leads to a memory leak.


Note You need to log in before you can comment on or make changes to this bug.